Back to Kuaishou
TikHub·Kuaishou
Kuaishou Web: Fetch user collect
/api/v1/kuaishou/web/fetch_user_collectsync$0.015 / callFetch user favorite. Note: This API requires the user's eid, which can be extracted from the user's profile URL.. For example: In the URL https://www.kuaishou.com/profile/3xz63mn6fngqtiq, the eid is 3xz63mn6fngqtiq.. Note: Querying with uid (pure numeric user ID) is not supported. (TikHub · Kuaishou Web)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| user_id | string | yes | User ID (eid) |
| pcursor | string | — | Post cursor |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/kuaishou/web/fetch_user_collect","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.